/*******************************************************************************
 PIC32 Scheduler

  Company:
    Microchip Technology Inc.

  File Name:
    Scheduler.c

  Summary:
    Contains the functional implementation of PIC32 scheduler

  Description:
    This file contains the functional implementation of PIC32 scheduler
*******************************************************************************/

/*******************************************************************************
Copyright (c) 2015 released Microchip Technology Inc.  All rights reserved.

Microchip licenses to you the right to use, modify, copy and distribute
Software only when embedded on a Microchip microcontroller or digital signal
controller that is integrated into your product or third party product
(pursuant to the sublicense terms in the accompanying license agreement).

You should refer to the license agreement accompanying this Software for
additional information regarding your rights and obligations.

SOFTWARE AND DOCUMENTATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND,
EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE.
IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER
CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR
OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES
INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR
CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF
SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES
(INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.
 *******************************************************************************/

// *****************************************************************************
// *****************************************************************************
// Section: Included Files
// *****************************************************************************
// *****************************************************************************

#include "Scheduler.h"
#include "MemoryManager/MemoryManager.h"

#define NO_OF_TASKS 2

UINT8 LastTaskIndex = 0xFF;

TaskStore Tasks[NO_OF_TASKS] = {
                               // {"TM", RunTestManager},
                                {"MC", RunMemoryCleaner}
                               };

UINT8 GetNextTaskIndex()
{
    if (LastTaskIndex == (NO_OF_TASKS - 1))
        LastTaskIndex = 0xFF;
    
    return ++LastTaskIndex;

}

void Scheduler()
{
    UINT8 idx;
    
    for (;;)
    {
        idx = GetNextTaskIndex();
        Tasks[idx].Run();
    }
}