/*
* co_datatype.h - contains defines for data types
*
* Copyright (c) 2014 emtas GmbH
*
*-------------------------------------------------------------------
* $Id: ec_datatype.h 21999 2018-03-21 06:50:43Z ri $

*-------------------------------------------------------------------
*
* Changelog:
*
*
*/

/**
* \brief data types
*
* \file ec_datatype.h - contains defines for data types
*
*/

#ifndef EC_DATATYPE_H
#define EC_DATATYPE_H 1


#ifdef __STDC_VERSION__
#  if (__STDC_VERSION__ >= 199901L)
#    define C99
#  endif /* if */
#endif /* ifdef */

#ifdef C99
# include <stdint.h>
#endif /* C99 */


/* datatypes */

#ifndef CO_INLINE
# define CO_INLINE
#endif


#ifndef CO_CONST
# define CO_CONST const
#endif


/**
* define for bool values 
*/
typedef enum {
	EC_FALSE,			/**< false */
	EC_TRUE				/**< true */
} BOOL_T;

#ifdef CO_CUSTOMER_DATATYPES
/* customer typedefs in gen_define.h */
#else /* CO_CUSTOMER_DATATYPES */

#ifdef C99
typedef uint8_t 			UNSIGNED8;
typedef uint16_t 			UNSIGNED16;
typedef uint32_t 			UNSIGNED32;
typedef int8_t				INTEGER8;
typedef int16_t				INTEGER16;
typedef int32_t				INTEGER32;
#else /* C99 */
typedef unsigned char		UNSIGNED8;
typedef unsigned short int	UNSIGNED16;
typedef unsigned long		UNSIGNED32;
typedef signed char			INTEGER8;
typedef signed short int	INTEGER16;
typedef signed long			INTEGER32;
#endif /* C99 */
typedef	char	 			*VIS_STRING;
typedef	char 				OCTET_STRING;
typedef	unsigned char 		*CO_DOMAIN_PTR;

#endif /* CO_CUSTOMER_DATATYPES */


/**
* Defines for RET_T
*/
typedef enum {
	RET_OK,							/**< all ok */

	RET_BUSY,						/**< Function is busy */

	RET_INVALID_PARAMETER,			/**< error invalid parameter */
	RET_INVALID_PARAMETER_LEN,		/**< error invalid parameter len */
	RET_PARAMETER_INCOMPATIBLE,		/**< error incompatible parameter */

	RET_IDX_NOT_FOUND,				/**< error index not found */
	RET_SUBIDX_NOT_FOUND,			/**< error subindex not found */
	RET_OD_ACCESS_ERROR,			/**< error access at object dictionary */
	RET_NO_READ_PERM,				/**< error no read permission */
	RET_NO_WRITE_PERM,				/**< error no write permission */

	RET_MAP_ERROR,					/**< error map entry incorrect */
	RET_MAP_LEN_ERROR,				/**< error mapping len incorrect */

	RET_SERVICE_BUSY,				/**< error service is busy */

	RET_INTERNAL_ERROR,				/**< error internal */
	RET_HARDWARE_ERROR,				/**< error hardware access */
	RET_ERROR_PRESENT_DEVICE_STATE,	/**< error wrong device state */
	RET_VALUE_NOT_AVAILABLE,		/**< error value not available */

	RET_EVENT_NO_RESSOURCE,			/**< error event ressouce not available */
} RET_T;



#endif /* EC_DATATYPE_H */

