/*
* ec_nmt.h - contains defines for nmt services
*
* Copyright (c) 2014 emtas GmbH
*
*-------------------------------------------------------------------
* $Id: ec_nmt.h 6032 2014-06-05 14:17:30Z boe $

*-------------------------------------------------------------------
*
* Changelog:
*
*
*/

/**
* \brief defines for nmt services
*
* \file ec_nmt.h - contains defines for nmt services
*
*/

#ifndef EC_NMT_H
#define EC_NMT_H 1

#include <ec_datatype.h>


/* datatypes */

/**
* NMT states 
*/
typedef enum {
	EC_NMT_STATE_INIT = 1,		/**< state INIT */
	EC_NMT_STATE_BOOT = 3,		/**< state BOOT */
	EC_NMT_STATE_INIT_PREOP,	/**< state change init to preop */
	EC_NMT_STATE_PREOP_SAFEOP,	/**< state change preop to safeop */
	EC_NMT_STATE_SAFEOP_OP,		/**< state change safeop to op */
	EC_NMT_STATE_OP_SAFEOP,		/**< state change op to safeop */
	EC_NMT_STATE_SAFEOP_PREOP,	/**< state change safeop to preop */
	EC_NMT_STATE_PREOP_INIT,	/**< state change preop to init */
} EC_NMT_STATE_T;



/** \brief function pointer to NMT event function 
 * \param nmtState - new NMT state
 * 
 * 
 * \return RET_T 
 *	\retval RET_OK
 *		state change can be executed
 *	\retval RET_BUSY
 *		state change will be executed later
 *	\retval RET_xxx
 *		state change not possible
 */
typedef RET_T (* EC_EVENT_NMT_T)(EC_NMT_STATE_T);



/* function prototypes */
RET_T ecEventRegister_NMT(EC_EVENT_NMT_T pFunction);
void	ecNmtFinishStateChange(RET_T returnValue);

//CO_NMT_STATE_T coNmtGetState(CO_LINE_DECL);

#endif /* EC_NMT_H */
