/*
* ec_sdo.h - contains defines for sdo services
*
* Copyright (c) 2014 emtas GmbH
*
*-------------------------------------------------------------------
* $Id: ec_sdo.h 6032 2014-06-05 14:17:30Z boe $

*-------------------------------------------------------------------
*
* Changelog:
*
*
*/

/**
* \brief defines for sdo service
*
* \file ec_sdo.h - contains defines for sdo service
*/

#ifndef EC_SDO_H
#define EC_SDO_H 1

#include <ec_datatype.h>


/* datatypes */

/** \brief function pointer to SDO server event
 * \param index - object index
 * \param subindex - object subindex
 * 
 * \return RET_T
 */
typedef	RET_T (* EC_EVENT_SDO_T)(UNSIGNED16, UNSIGNED8);


/** \brief function pointer to SDO server write check event
 * \param sdoNr - sdo number
 * \param index - object index
 * \param subindex - object subindex
 * \param pData - pointer to receive buffer
 * 
 * \return RET_T
 */
typedef RET_T (* EC_EVENT_SDO_CHECK_WRITE_T)(UNSIGNED8, UNSIGNED16, UNSIGNED8, const UNSIGNED8 *); /*lint !e960 customer specific parameter names */



/* function prototypes */
RET_T ecEventRegister_SDO_READ(EC_EVENT_SDO_T);
RET_T ecEventRegister_SDO_WRITE(EC_EVENT_SDO_T);
//RET_T ecEventRegister_SDO_CHECK_WRITE(EC_EVENT_SDO_SERVER_CHECK_WRITE_T);

#endif /* EC_SDO_H */

